## From Terminal and see changes local

How to check your translations locally?

You will need [nodejs enviroment](https://nodejs.org/en/download/) and [pnpm](https://pnpm.io/installation).

Particular commands you need to write to your terminal

Look up on instructions at [First_Time](https://github.com/kodadot/nft-gallery/blob/main/FIRST_TIME.md#hyper-start-)

1. If it is everything runs, that great!
2. Now open in your editor your language .json file which is in `langDir`, for Spanish i.e. `es.json`
3. Everytime you hit save, reload page to see your changes live.
4. On the upper right you will see your flag. If you don't see your native language flag, [request new language at our Discord](https://discord.gg/kodadot), we can add your language!
5. Once you are done, [make pull-request](https://docs.github.com/en/github/collaborating-with-issues-and-pull-requests/creating-a-pull-request)

## Translate from Browser

We've [made video how to translate from the browser](https://discord.gg/kodadot).

1. Fork the repository
2. Go to same path in your repository
3. Choose language and hit edit

![](assets/fork_and_edit.png)

4. Make changes
5. Commit
6. Create pull request to our repository
   ![](assets/edit_and_commit.png)

We welcome your contribution.
You will be historical part of KodaDot NFT contribution!
First translations will be rewarded with NFT with value in it.
